Foreman - Bug #6241

Models allow invalid proxy associations
06/16/2014 05:53 PM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Smart Proxy
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1110383 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3168
Description

There's no validation on models that have proxies (Domain, Subnet,
puppet, etc) that those proxies actually have those features.

A user can assign a DNS proxy to a Domain using the API, even if
the proxy doesn't support DNS. But, similar to #6240, they can't
even see this invalid association in the Ul.

Related issues:
Related to Foreman - Bug #6240: When a feature is removed from a proxy, ther... New 06/16/2014
Related to Foreman - Bug #7371: When proxy of wrong type is associated to sub... New 09/08/2014

Associated revisions

Revision 4693fe5f - 02/19/2016 04:31 AM - Ondrej Prazak

Fixes #6241 - Validations for associations with proxies

History

#1 - 06/16/2014 05:54 PM - Stephen Benjamin

- Related to Bug #6240: When a feature is removed from a proxy, the relevant models still keep the association added

#2 - 06/17/2014 04:02 PM - Dominic Cleal
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1110383

#3 - 09/08/2014 03:46 AM - Dominic Cleal

- Related to Bug #7371: When proxy of wrong type is associated to subnet/domain, it isn't shown when editing added

#4 - 02/09/2016 09:49 AM - Ondfej Prazak
- Status changed from New to Assigned

- Assignee set to Ondfej PraZak

#5 - 02/09/2016 11:06 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3168 added

#6 - 02/19/2016 05:01 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4693fe5f86d75a3fbcc37596e7171594ebca6384.
https://projects.theforeman.org/issues/6240
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4693fe5f86d75a3fbcc37596e7171594ebca6384

#7 - 02/22/2016 10:45 AM - Dominic Cleal

- translation missing: en.field_release set to 71
